<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG2</title>
	<link rel="stylesheet" href="style.css">
	<style>
		table,
		th,
		td {
			border: 1px solid black;
		}
		th, td{
			padding: 8px;
			text-align: center;
		}
	</style>
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologias Emergentes. Curso 2019-20<br>
			Trabajo TG2 del grupo T1<br>
			Titulo: TG2. Evaluar y comparar dos tecnologias emergentes</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Informacion general</a></li>
			<li><a href="#2">2. Descripcion de las tecnologias</a></li>
			<li><a href="#3">3. Criterios de comparacion</a></li>
			<li><a href="#4">4. Evaluacion de los criterios por categoria</a></li>
			<li><a href="#5">5. Comparacion de las tecnologias</a></li>
			<li><a href="#6">6. Recomendaciones</a></li>
		</ul>
	</nav>

	<main>
		<section id=1">
			<h2>1. Informacion general</h2>
			<h3>1.1 Autores</h3>
			<p>Somos el grupo T1, los autores son: Laura Fernández Corredera, Marcos Yedres Pérez, Álvaro Sánchez Yuste, Junior Chunga Cartagena y 
				Cristina Elena Dascalu</p>
			<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
			<p>La URL del proyecto "TG2" en GitLab es: 
				<a href="https://gitlab.com/dte2020/t1/tg2/">https://gitlab.com/dte2020/t1/tg2/</a>.</p>
			<h3>1.3 Burndown chart</h3>
			<p>Imagen del diagrama Burndown final del Sprint TG2.</p>
			<img src="burndown.PNG" width="1280" height="720">
			<h3>1.4 Presentacion del trabajo</h3>
			<p>En este apartado incluimos el enlace al archivo de la presentacion con diapositivas, ubicado en el
				repositorio del proyecto.</p>
			<a href="presentacion.pptx">Presentacion con diapositivas del trabajo TG2</a></p>
		</section>
		<section id="2">
			<h2>2. Descripcion de las tecnologias</h2>
			<h3>2.1 Descripcion de la tecnologia React Native</h3>
			<p>React native es un entorno de trabajo de código abierto basado en JavaScript. Dicho entorno de trabajo
				 multiplataforma permite crear aplicaciones móviles nativas no demasiado complejas para iOs y Android. </p>
			<p>Fue lanzado por Facebook en 2015 para ofrecer una mejor experiencia móvil, intentando dejar de lado el 
				uso de HTML en las empresas y sustituirlo por aplicaciones nativas. En 2018, React Native fue el segundo 
				en tener el mayor número de contribuyentes para cualquier repositorio en GitHub. Hoy en día, es uno de 
				los frameworks más utilizados para el desarrollo de aplicaciones móviles nativas. </p>
			<p>Tiene características muy positivas como, por ejemplo: ofrecer actualizaciones de manera constante y rápidas, 
				permitir a los equipos nativos trabajar más rápido, ofrecer una gran flexibilidad al permitir a los desarrolladores 
				programar en lenguajes tales como Java o Swift o poder usar React Native en proyectos ya existentes en Android e 
				iOs o crear una aplicación desde cero. </p>
			<p>Algunas características negativas pueden ser que el flujo de trabajo no es tan fluido como podría ser en web y que 
				el entorno de trabajo que se usa es costoso a la hora de instalarlo. </p>

			<h4>2.2 Descripcion de la tecnologia Flutter</h4>
				<p>Flutter es un framework creado por Google que sirve para crear aplicaciones de alta calidad 
				tanto en ios como en Android. Se caracteriza por hacer un rápido desarrollo, 
				con una interfaz de usuario expresiva y flexible y además conseguir un rendimiento nativo.

				Su primera versión fue llamada “Sky” y se podía ejecutar únicamente en Android. Esta versión
				fue presentada en 2015 la cumbre de desarrolladores de Dart, diciendo que su punto fuerte era 
				conseguir renderizar a 120 fps. Ya en diciembre de 2018 se lanzó flutter 1.0 la primera versión 
				estable de la herramienta.
	
				Sus principales ventajas son, la superación en prestaciones a todos los frameworks de desarrollo 
				multiplataforma que existe. Su renderizado de vistas es muy rápido y además que tiene acceso al 
				hardware de los móviles.
			
				Sus principales desventajas son, la necesidad de aprender el lenguaje dart y que además se trata de 
				un framework que solo permite desarrollar aplicaciones en 2D.</p>
		</section>
		<section id="3">
			<h2>3. Criterios de comparacion</h2>
	<p>En los sub-apartados de este apartado se deben indicar cada uno de los criterios(tambien llamados factores, propiedades, caracteristicas, indicadores, etc.),	que se usaran en la comparacion.</p>
	<p>Los criterios deben organizarse en categorias (al menos 3 categorias). El numero de criterios totales no puede ser inferior a 20.</p>
	<p>Las categorias dependeran del tipo de tecnologia, pueden ser categorias como “General”, “Utilidades”, “Rendimiento”, etc.</p>

	<p>Por cada criterio hay que indicar el nombre, una breve descripcion, y el tipo de valor a asignar al criterio.</p>
	<p>Los criterios a definir en cada categoria tambien dependeran del tipo de tecnologias a comparar. En el siguiente apartado hay algunos ejemplos a modo de plantilla, que deberan modificarse y adaptarse a cada caso concreto de cada grupo. En este ejemplo se ha supuesto que el trabajo es sobre comparacion de herramientas de modelado UML.</p>
<h3>3.1 Categoria A: General</h3>
	<h4>3.1.1 Criterio A.1: Creador de la aplicación</h4>
	<ul>
		<li>Nombre del criterio: Creador </li>
		<li>Descripcion: Persona o institución que se ha encargado de desarrollar esta aplicación. </li>
		<li>Tipo de valor: Texto libre. </li> 
	</ul>

	<h4>3.1.2 Criterio A.2: Arquitectura principal</h4>
	<ul>
		<li>Nombre del criterio: Arquitectura</li>
		<li>Descripcion:Se trata de la parte de la aplicación con la que interactúa el usuario.  </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>

	<h4>3.1.3 Criterio A.3: Precio </h4>
	<ul>
		<li>Nombre del criterio: Precio</li>
		<li>Descripcion: Desembolso monetario necesario para poder acceder a la aplicación. </li>		
		<li>Tipo de valor: Numérico. </li>
	</ul>

	<h4>3.1.4 Criterio A.4: Lenguaje de programación</h4>
	<ul>
		<li>Nombre del criterio: Lenguaje de programación</li>
		<li>Descripcion: Tipo de lenguaje utilizado para ael desarrollo de estas aplicaciones. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>

	<h4>3.1.5 Criterio A.5: Calidad </h4>
	<ul>
		<li>Nombre del criterio: Calidad </li>
		<li>Descripcion: Capacidad de las aplicaciones comparadas para dar el servicio esperado por sus clientes e instituciones pertinentes. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>

	<h4>3.1.6 Criterio A.6: Popularidad </h4>
	<ul>
		<li>Nombre del criterio: Popularidad </li>
		<li>Descripcion: Se trata de la cantidad de personas que utilizan las distintas aplicaciones y cuál tiene un mayor número de usuarios. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>

	<h4>3.1.7 Criterio A.7: Soporte técnico </h4>
	<ul>
		<li>Nombre del criterio: Soporte </li>
		<li>Descripcion: Capacidad de las empresas por poder resolver las diferentes incidencias o dudas que puedan tener los usuarios. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>

	<h4>3.1.8 Criterio A.8: Documentación </h4>
	<ul>
		<li>Nombre del criterio: Documentación </li>
		<li>Descripcion: Aporte de información por parte de las aplicaciones para que sea más fácil su uso por parte de los usuarios. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>

	<h4>3.1.9 Criterio A.9: Versión del producto </h4>
	<ul>
		<li>Nombre del criterio: Versión</li>
		<li>Descripcion: Momento en el que se encuentra la aplicación en su desarrollo. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>


	<h4>3.1.10 Criterio A.10: Biblioteca de componentes </h4>
	<ul>
		<li>Nombre del criterio: Biblioteca de componentes</li>
		<li>Descripcion: Número de componentes que tienes las aplicaciones para poder llevar a cabo su fin. </li>		
		<li>Tipo de valor: Numérico. </li>
	</ul>

	<h4>3.1.11 Criterio A.11: Comunidad </h4>
	<ul>
		<li>Nombre del criterio: Comunidad </li>
		<li>Descripcion: Personas que utilizan la aplicación y aportan diferentes errores, o soluciones a estos. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>


<h3>3.2 Categoria B: Utilidades</h3>

	<h4>3.2.1 Criterio B.1: Interfaz de usuario</h4>
	<ul>
		<li>Nombre del criterio: Interfaz.</li>
		<li>Descripcion: Indica la manera en la que los usuarios van a ser capaces de utilizar las aplicaciones.</li>
		<li>Tipo de valor: Texto libre.</li>
	</ul>

	<h4>3.2.2 Criterio B.2: Numero de proyectos simultaneos</h4>
	<ul>
		<li>Nombre del criterio: Proyectos simultaneos.</li>
		<li>Descripcion: Indica el numero maximo de proyectos de modelado que deja tener abiertos la herramienta de forma simultánea.</li>
		<li>Tipo de valor: Numerico.</li>
	</ul>
	
	<h4>3.2.3 Criterio B.3: Sistemas operativos compatibles </h4>
	<ul>
		<li>Nombre del criterio: S.o compatibles.</li>
		<li>Descripcion: Diferentes s.o donde el cliente va a poder instalar estas aplicaciones. </li>
		<li>Tipo de valor: Numerico.</li>
	</ul>

	<h4>3.2.4 Criterio B.4: Widgets </h4>
	<ul>
		<li>Nombre del criterio: Widgets.</li>
		<li>Descripcion: Utilización de widgets, para las diferentes herramientas.</li>
		<li>Tipo de valor: Texto libre .</li>
	</ul>

	<h4>3.2.5 Criterio B.: Portabilidad del código </h4>
	<ul>
		<li>Nombre del criterio: Portabilidad del código.</li>
		<li>Descripcion: Capacidad de poder utilizar el código desarrollado en otras aplicaciones para su verificación u optimización.</li>
		<li>Tipo de valor: Texto libre .</li>
	</ul>


<h3>3.3 Categoria C: Rendimiento</h3>
	
	<h4>3.3.1 Criterio C.1: Tiempo de desarrollo </h4>
	<ul>
		<li>Nombre del criterio: Tiempo de desarrollo. </li>
		<li>Descripcion: Tiempo medio que necesita un desarrollador para utilizar las aplicaciones, y conseguir un resultado.</li>
		<li>Tipo de valor: Numérico. </li>
	</ul>

	<h4>3.3.2 Criterio C.2: Velocidad </h4>
	<ul>
		<li>Nombre del criterio: Velocidad. </li>
		<li>Descripcion: Capacidad de las aplicaciones para generar el resultado del código que se crea dentro de estas. </li>
		<li>Tipo de valor: Numérico.</li>
	</ul>
	
	<h4>3.3.3 Criterio C.3: Estabilidad </h4>
	<ul>
		<li>Nombre del criterio: Estabilidad. </li>
		<li>Descripcion: Garantía que dan las aplicaciones de que sus productos son utilizables y sus clientes van a poder utilizarlas. </li>
		<li>Tipo de valor: Texto libre. </li>
	</ul>
	
	<h4>3.3.4 Criterio C.4: Seguridad </h4>
	<ul>
		<li>Nombre del criterio: Seguridad </li>
		<li>Descripcion: Fiabilidad que dan las aplicaciones respecto a su seguridad. </li>		
		<li>Tipo de valor: Texto libre. </li>
	</ul>

		</section>

		<section id="4">
			<h2>4. Evaluacion de los criterios por categoria</h2>
			<h3>4.1 Evaluacion de los criterios para la tecnologia React Native</h3>
			<table>

				<tr>
					<th>Criterio</th>
					<th>Evaluacion</th>
				</tr>

				<tr>
					<td>Criterio A.1: Creador</td>
					<td>Jordan Walke, Facebook</td>
				</tr>

				<tr>
					<td>Criterio A.2: Arquitectura principal</td>
					<td>Flux y Redux</td>
				</tr>

				<tr>
					<td>Criterio A.3: Precio</td>
					<td>0</td>
				</tr>

				<tr>
					<td>Criterio A.4: Lenguaje de programacion</td>
					<td>El lenguaje de programacion utilizado es JavaScript</td>
				</tr>

				<tr>
					<td>Criterio A.5: Calidad</td>
					<td>La calidad es superior a la de Flutter, pero las aplicaciones creadas con React Native son más lentas que
						 las aplicaciones nativas de Android creadas con Java o las aplicaciones nativas de iOS creadas con Swift.</td>
				</tr>

				<tr>
					<td>Criterio A.6: Popularidad</td>
					<td>No hay un número de usuarios concreto que utilicen este framework, pero podemos observar que cuenta con 146,190 
						estrellas en github, ocupando el cuarto puesto en el ranking.</td>
				</tr>

				<tr>
					<td>Criterio A.7: Soporte técnico</td>
					<td>React Native cuenta con una comunidad con millones de usuarios. Si se necesita soporte técnico se puede consultar
						 el Stack Overflow u otros foros como DEV’s React community, Hashnode’s React community, Reactiflux online chat, 
						 Reddit’s React community o Spectrum’s React community. </td>
				</tr>

				<tr>
					<td>Criterio A.8: Documentacion</td>
					<td>Toda la documentación referente al funcionamiento de React Native, así como guías especiales para cada uno de los
						 sistemas operativos compatibles con React Native, se pueden encontrar en la página oficial de React Native. 
						 También existen cursos online a disposición del usuario, tanto gratuitos como de pago.</td>
				</tr>

				<tr>
					<td>Criterio A.9: Version del producto</td>
					<td>La versión más reciente de React Native es la 0.62.</td>
				</tr>

				<tr>
					<td>Criterio A.10: Biblioteca de componentes</td>
					<td>El número de componentes que utiliza React Native es muy grande y no existe una cifra aproximada. De ellos, 
						podemos destacar algunos como React Bootstrap, Blueprint UI, Rebass, etc.</td>
				</tr>

				<tr>
					<td>Criterio A.11: Comunidad</td>
					<td>Como hemos comentado anteriormente, React Native cuenta con numerosas comunidades. Una de ellas, se encuentra
						 en el propio GitHub bajo el nombre de React Native Community, que cuenta con un total de 49 miembros que 
						 aportan diferentes funcionalidades o soluciones. </td>
				</tr>

				<tr>
					<td>Criterio B.1: Interfaz</td>
					<td>Muy similar a JavaScript</td>
				</tr>

				<tr>
					<td>Criterio B.2: Número de proyectos simultáneos</td>
					<td>No hay un número concreto de proyectos simultáneos ya que depende de la capacidad del dispositivo donde se utilice. 
						Sin embargo, se pueden desarrollar aplicaciones en iOS y Android de manera simultánea.</td>
				</tr>

				<tr>
					<td>Criterio B.3: Sistemas operativos compatibles</td>
					<td>2 (Windows y MAC)</td>
				</tr>

				<tr>
					<td>Criterio B.4: Widgets</td>
					<td>En React Native, los widgets equivalen a los denominados componentes, que pueden encontrar en la página oficial de React
						Native.
					</td>
				</tr>

				<tr>
					<td>Criterio B.5: Portabilidad de código</td>
					<td>El código de cualquier aplicación desarrollada en React Native se puede reusar y ejecutar en otras plataformas basadas en
						 Android o iOS.</td>
				</tr>

				<tr>
					<td>Criterio C.1: Tiempo de desarrollo</td>
					<td>No existe un valor numérico real ya que cada proyecto es diferente y requiere una dedicación mayor o menor según el grado de 
						dificultad del mismo. </td>
				</tr>

				<tr>
					<td>Criterio C.2: Velocidad</td>
					<td>Es más rápido que sus competidores ya que permite ejecutar su código en JavaScript en un hilo separado, es decir, se utiliza 
						la concurrencia.</td>
				</tr>

				<tr>
					<td>Criterio C.3: Estabilidad</td>
					<td>React Native es una buena opción porque ofrece un alto grado de estabilidad, puesto que utiliza el lenguaje más utilizado del mundo 
						(JavaScript) y el gestor de paquetes más grande del mundo (NPM). Además, cuanta con una gran comunidad de soporte.</td>
				</tr>

				<tr>
					<td>Criterio A.4: Seguridad</td>
					<td>Según numerosos estudios, React Native no domina muy bien el tema de la seguridad. No obstante, existen módulos complementarios que 
						se pueden implementar para solucionar este problema.</td>
				</tr>

			

			</table>

			<p><a href="https://gitstar-ranking.com/"></a></p>
			<p><a href="https://reactjs.org/community/support.html"></a></p>
			<p><a href="https://reactnative.dev/docs/getting-started"></a></p>
			<p><a href="https://reactnative.dev/versions"></a></p>

			<h3>4.2 Evaluacion de los criterios para la tecnologia 2 (Flutter)</h3>
			<table>

				<tr>
					<td>Criterio A.1: Creador</td>
					<td> Google</td>
				</tr>

				<tr>
					<td>Criterio A.2: Arquitectura principal</td>
					<td>Flutter engine está escrito en C++ </td>
				</tr>

				<tr>
					<td>Criterio A.3: Precio</td>
					<td>0 (Gratuito)</td>
				</tr>

				<tr>
					<td>Criterio A.4: Lenguaje de programacion</td>
					<td>El lenguaje que se usa para el desarrollo de las aplicaciones es Dart</td>
				</tr>

				<tr>
					<td>Criterio A.5: Calidad</td>
					<td>Consta de pequeños defectos como una calidad de producto algo menor frente
						 a competidores con más bagaje y que solo permite desarrollo 2D, pero ofrece 
						 un rápido rendimiento y es gratuito</td>
				</tr>

				<tr>
					<td>Criterio A.6: Popularidad</td>
					<td>Actualmente la popularidad de flutter es reducida pues no cuenta con la base de usuarios tan grande con la que cuentan otros programas.</td>
				</tr>

				<tr>
					<td>Criterio A.7: Soporte técnico</td>
					<td>El soporte no es muy bueno, pues solo cuenta con un tracker de los problemas de usuarios, así como te animan a usar stackoverflow</td>
				</tr>

				<tr>
					<td>Criterio A.8: Documentacion</td>
					<td>Flutter cuenta con una gran cantidad de documentación facilitada por la propia Google 
						en la página de flutter que ayuda a comprender cada uno de los aspectos de flutter.</td>
				</tr>

				<tr>
					<td>Criterio A.9: Version del producto</td>
					<td>Actualmente la última versión de flutter estable y recomendada para el uso es la versión 1.12.13+hotfix9.</td>
				</tr>

				<tr>
					<td>Criterio A.10: Biblioteca de componentes</td>
					<td>El número de componentes que flutter ofrece es muy amplio, sin un valor concreto,
						 pues este crece a medida que y gracias a las frecuentes actualizaciones que Google hace.</td>
				</tr>

				<tr>
					<td>Criterio A.11: Comunidad</td>
					<td>Como hemos mencionado flutter cuenta con foros recomendados por la propia Google no obstante estos no gozan de mucha actividad
						 y dejan que desear en ese aspecto. </td>
				</tr>

				<tr>
					<td>Criterio B.1: Interfaz</td>
					<td> Cuenta con un diseño cuidado y muy intuitivo que cuenta con muy buenas valoraciones por las redes.</td>
				</tr>

				<tr>
					<td>Criterio B.2: Número de proyectos simultáneos</td>
					<td>Los que permita tu propio dispositivo donde se ejecute flutter, es decir depende de los recursos que tengas.</td>
				</tr>

				<tr>
					<td>Criterio B.3: Sistemas operativos compatibles</td>
					<td>: 3(Windows,Linux,Mac).</td>
				</tr>

				<tr>
					<td>Criterio B.4: Widgets</td>
					<td>En la página de flutter hallamos una enorme variedad de widgets muy útiles que podremos implementar en nuestras aplicaciones.
					</td>
				</tr>

				<tr>
					<td>Criterio B.5: Portabilidad de código</td>
					<td>Las opiniones de la comunidad respecto a la portabilidad del código son muy positivas, pues valoran que por como esta diseñado flutter se facilita esta cualidad.</td>
				</tr>

				<tr>
					<td>Criterio C.1: Tiempo de desarrollo</td>
					<td>Depende plenamente del tipo de proyecto que se este llevando a cabo y el conocimiento de los participantes en el mismo, así como su número.</td>
				</tr>

				<tr>
					<td>Criterio C.2: Velocidad</td>
					<td>Los datos reflejan que pese a su eficiencia flutter no ofrece el mismo rendimiento o velocidad que si pueden ofrecer otros competidores como ionic o react native..</td>
				</tr>

				<tr>
					<td>Criterio C.3: Estabilidad</td>
					<td>Flutter cuenta con herramientas que permiten lanzar parches o volver a versiones anteriores de las aplicaciones a fin de que frente 
						a cualquier fallo del mismo se pueda continuar su funcionamiento. Una de estas herramientas por ejemplo se denomina hot-reload.</td>
				</tr>

				<tr>
					<td>Criterio A.4: Seguridad</td>
					<td>Flutter permite hacer uso de diferentes herramientas que ayuden a autenticar a sus usuarios, así como mecanismos para
						 un almacenamiento de datos seguro o una correcta gestión de la cache. Como extra indicar que por ejemplo permite asociar la 
						 huella para autenticar a usuarios, por ejemplo.</td>
				</tr>

			

			</table>

			

		</section>

		<section id="5">
			<h2>5. Comparacion de las tecnologias</h2>
			<p>A continuacion se mostrara comparacion de ambas tecnologias, React Native y Flutter, y ver como segun los criterios anteriormente descritos.</p>
			<p>Se clasificaran en 3 tablas segun los criterios: General, Utilidades y Rendimiento</p>

			<table>
				<caption><h3>Comparacion general</h3></caption>
				<col span="1" style="background: #A0FAE1;"> <!--color columna criterios-->
				<!--<col span="1" style="background: #D8FAA0;">-->

				<thead style="background: #A0E0FA"> <!--color indice-->
				<tr>
					<th scope="col">Criterio</th>
					<th>React Native</th>
					<th>Flutter</th>
					<th>Comentarios</th>

				</tr>
				</thead>
				<tr>
					<td>A.1 Creador</td>
					<td>Jordan Walke, Facebook</td> <!--React Native-->
					<td>Google</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.2 Arquitectura Principal</td>
					<td>Flux y Redux</td> <!--React Native-->
					<td>Flutter engine en C++</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.3 Precio</td>
					<td colspan="2">Codigo Abierto</td> <!--React Native y Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.4 Lenguaje de Programación</td>
					<td>JavaScript</td> <!--React Native-->
					<td>Dart</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.5 Calidad</td>
					<td>Calidad buena, aplicaciones lentos</td> <!--React Native-->
					<td>Calidad menor pero rapido rendimiento</td> <!--Flutter-->
					<td>La calidad en React Native es más alta que en Flutter, pero cabe decir que ambos estan por debajo
						que las aplicaciones nativas</td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.6 Popularidad</td>
					<td>Numerosos usuarios segun GitHub</td> <!--React Native-->
					<td>Reducida</td> <!--Flutter-->
					<td>No son lenguajes tan conocidos como los nativos de aplicaciones moviles, así como otros lenguajes
						(Python, Java...)</td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.7 Soporte Tecnico</td>
					<td>Stack Overflow</td> <!--React Native-->
					<td>Bajo</td> <!--Flutter-->
					<td>Ya que son lenguajes de programacion, el soporte tecnico son las mismas paginas oficiales,
						como foros de programadores</td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.8 Documentacion</td>
					<td>Pagina oficial React Native</td> <!--React Native-->
					<td>Gran documentacion por Google</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.9 Version del producto</td>
					<td>V. 0.62</td> <!--React Native-->
					<td>V. 1.12.13+hotfix9</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.10 Biblioteca de componentes</td>
					<td>Muy amplio</td> <!--React Native-->
					<td>Muy amplio y actualizado</td> <!--Flutter-->
					<td>Al ser lenguajes de programacion, se dispone de amplios componentes que los desarrolladores crean</td> <!-- Comentario-->
				</tr>
				<tr>
					<td>A.11 Comunidad</td>
					<td>Numerosas comunidades</td> <!--React Native-->
					<td>Foros recomendados por Google</td> <!--Flutter-->
					<td>Al igual que el soporte tecnico, se compone por programadores/desarrolladores que crean contenido
						y comparten.</td> <!-- Comentario-->
				</tr>
			</table>

			<p></p>
			<p></p>

			<table>
				<caption><h3>Comparacion por utilidades</h3></caption>
				<col span="1" style="background: #A0FAE1;"> <!-- color columna criterios-->
				<thead style="background: #A0E0FA">  <!-- color indices-->

				<tr>
					<th scope="col">Criterio</th>
					<th>React Native</th>
					<th>Flutter</th>
					<th>Comentarios</th>
				</tr>
				</thead>

				<tr>
					<td>B.1 Interfaz</td>
					<td>Similar a JavaScript</td> <!--React Native-->
					<td>Diseño cuidado e intuitivo</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>B.2 Nº. proyectos simultaneos</td>
					<td colspan="2">Depende de los recursos</td> <!--React Native y Flutter-->
					<td>Todo depende de los recursos que se disponga y del tipo de proyectos que se esten realizando</td> <!-- Comentario-->
				</tr>
				<tr>
					<td>B.3 SO compatibles</td>
					<td>Windows, OsX</td> <!--React Native-->
					<td>Windows, Linux, OsX</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>B.4 Widgets</td>
					<td colspan="2">Variedad de widgets</td> <!--React Native y Flutter-->
					<td>Se dispone de variedad de widgets diferentes en las paginas oficiales, así como en internet en general</td> <!-- Comentario-->
				</tr>
				<tr>
					<td>B.5 Portabilidad del codigo</td>
					<td colspan="2">Facibilidad de portabilidad</td> <!--React Native y Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
			</table>

			<p></p>
			<p></p>

			<table>
				<caption><h3>Comparacion por rendimiento</h3></caption>
				<col span="1" style="background: #A0FAE1;"> <!--color columna criterios -->
				<thead style="background: #A0E0FA"> <!-- color indices-->
				<tr>
					<th scope="col">Criterio</th>
					<th>React Native</th>
					<th>Flutter</th>
					<th>Comentarios</th>
				</tr>
				</thead>
				<tr>
					<td>C.1 Tiempo de desarrollo</td>
					<td colspan="2">Depende del proyecto</td> <!--React Native y Flutter-->
					<td>Todo depende del tipo del proyecto que se este realizando, ya sea pequeño o grande</td> <!-- Comentario-->
				</tr>
				<tr>
					<td>C.2 Velocidad</td>
					<td>Muy rapido, utilizacion de concurrencia</td> <!--React Native-->
					<td>Menor velocidad que competidores</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>C.3 Estabilidad</td>
					<td>Alto grado de estabilidad. Gestor de paquetes NPM</td> <!--React Native-->
					<td>Estable con herramientas para parches o retroceso de versiones mas estables</td> <!--Flutter-->
					<td></td> <!-- Comentario-->
				</tr>
				<tr>
					<td>C.4 Seguridad</td>
					<td>Poca dominacion con modulos complementarios para implementar</td> <!--React Native-->
					<td>Uso de distintas formas de autotificacion</td> <!--Flutter-->
					<td>Nos referimos a seguridad, en laimplementacion de modulos en el proyecto</td> <!-- Comentario-->
				</tr>
			</table>
		</section>

		<section id="6">
			<h2>6. Recomendaciones</h2>
			<p>Deben platearse posibles situaciones de uso, y recomendar justificadamente una u otra tecnología en
				funcion de la situacion. Al menos 2 situaciones diferentes.</p>
			<h3>6.1 Situacion React Native</h3>
			<h4>6.1.1 Descripcion de la situacion</h4>
			<p>Un grupo de desarrolladores y matemáticos pretenden desarrollar una aplicación móvil compatible tanto con 
				Android como con iOS. Esta aplicación les permitiría conseguir un mayor rendimiento en su trabajo. Además, 
				quieren un alto nivel de calidad con el fin de obtener los resultados esperados, así como una gran velocidad
				 de computación. Asimismo, desean una interfaz sencilla e intuitiva utilizando JavaScript o similares, ya que 
				 están acostumbrados a este tipo de lenguaje.</p>
			<h4>6.1.2 Recomendacion de la tecnología a utilizar</h4>
			<p>Teniendo en cuenta todos los requisitos exigidos en el punto anterior, llegamos a la conclusión de que la mejor 
				opción es React Native. En primer lugar, React Native permite desarrollar aplicaciones multiplataforma, es decir, 
				que la aplicación se podrá lanzar tanto en iOS como en Android. Otra razón sería el precio, ya que es un software de
				 código abierto y, por tanto, es gratuito. Además, utiliza mecanismos de concurrencia lo que permite una mayor 
				 velocidad de computación y un alto grado de estabilidad al implementar un gestor de paquetes NPM.</p>
			
			<table>
				<tr>
					<th>Criterios relevantes para la decision</th>
					<th>Ventajas tecnología React Native</th>
					<th>Ventajas tecnología Flutter</th>
				</tr>

				<tr>
					<td>B.3: SO compatibles</td>
					<td>Windows, OsX</td>
					<td>Windows, Linux, OsX</td>
				</tr>

				<tr>
					<td>A.3: Precio</td>
					<td>Gratuito (Open Source)</td>
					<td>Gratuito (Open Source)</td>
				</tr>

				<tr>
					<td>A.4: Lenguaje de programación</td>
					<td>JavaScript</td>
					<td>Dart</td>
				</tr>

				<tr>
					<td>B.1: Interfaz</td>
					<td>Similar a JavaScript</td>
					<td>Diseño cuidado e intuitivo</td>
				</tr>

				<tr>
					<td>A.5: Calidad</td>
					<td>Buena calidad</td>
					<td>Buena calidad</td>
				</tr>

				<tr>
					<td>C.3: Estabilidad</td>
					<td>Alto grado de estabilidad.
						Gestor de paquetes NPM
					</td>
					<td>Estable con herramientas para
						parches o retroceso de versiones
						estables.
					</td>
				</tr>

				<tr>
					<td>C.2: Velocidad</td>
					<td>Muy rápido, utilización de
						concurrencia
					</td>
					<td>Menor velocidad que competidores</td>
				</tr>

				<tr>
					<td>A.7: Soporte técnico</td>
					<td>Stack Overflow</td>
					<td>Bajo</td>
				</tr>

				

			</table>

			<h3>6.2 Situacion B</h3>
			<h4>6.2.1 Descripcion de la situacion</h4>
			<p>Nuestra empresa desea realizar una aplicación móvil multiplataforma tanto para ios 
				como Android para ello cuentan con un equipo de desarrolladores que conocen tanto C++
				como Dart y un bajo presupuesto. En cuanto a las características de su aplicación precisan
			    rendimiento frente a calidad , así como una herramienta que asegure la estabilidad del proyecto.</p>
			<h4>6.2.2 Recomendacion de la tecnología a utilizar</h4>
			<p>Tecnología propuesta: Flutter</p>
			<p>La recomendación que haríamos a esta empresa sería hacer uso de Flutter. 
				Todo ello debido a que Flutter hace uso de Dart un leguaje bien conocido
				por sus programadores, lo cual hace que precisen de menor documentación y agilice el desarrollo,
				y además es una herramienta de código abierto gratuita que ayudará reducir costes. Además, Flutter ofrece
				una calidad muy buena ofreciendo un gran rendimiento e incluso consta de numerosas actualizaciones que contribuyen
				a aumentar la estabilidad de la herramienta.</p>
			<table>
				<tr>
					<th> Criterios relevantes para la decisión  </th>	
					<th>   Ventajas tecnología React Native </th>
					<th>   Ventajas tecnología Flutter </th>
				</tr>
				<tr >
					<td>   A.3 Precio </td>
					<td>   Gratuito (código abierto) </td>
					<td>  Gratuito  (código abierto)  </td>
				</tr>
				<tr>
					<td>A.4 Lenguaje de programación</td>
					<td>Javascrip</td>
					<td>Dart</td>
				</tr>
				<tr>
					<td>A.5 Calidad</td>
					<td>Buena calidad, pero rendimiento lento</td>
					<td>Buena calidad y reconocimiento por parte de usuarios, pero rendimiento relativamente bajo</td>
				</tr>
				<tr>
					<td>C.3 Estabilidad </td>
					<td>Alto grado de estabilidad. Gestor de paquetes NPM</td>
					<td>Estable con herramientas para parches o retroceso de versiones estables. Además de una gran compañía detrás</td>
				</tr>
			</table>
		</section>

	</main>

</body>

</html>
